using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Xml.XPath;

namespace ConsoleApp1
{
    internal class Program
    {
        static bool provera(int[] niz, int c)
        {
            int zbirog=0;
            int zbirneog = 0;
            for (int i = 0; i < niz.Length; i++)
            {
                zbirog += niz[i]*c;
                zbirneog+= niz[i]*(c+1);
            }
            if (zbirog > zbirneog)
                return true;
            else return false;
        }
        static void Metoda(int[] niz, int kvk)
        {
            int c = 1;
            int aura = 0;
            bool[] pozneg = new bool[niz.Length];
            for (int i = 0; i < niz.Length; i++)
            {
                if (niz[i] < 0)
                {
                    pozneg[i] = true;

                }
                else
                    pozneg[i] = false;
            }
            for (int i = 0; i < niz.Length; i++)
            {
                bool promena = false;
                aura += niz[i] * c;
                if (c!=kvk-1&&niz.Length-i==kvk-c)
                {
                    c++;
                    promena = true;
                }
                int[] noviniz = new int[niz.Length - i];
                for (int j = 0; j < niz.Length - i; j++)
                {
                    noviniz[j] = niz[i + j];
                }
                if (provera(noviniz,c)==false && promena==false&&kvk!=c)

                    c++;
            }
            Console.Write(aura + " ");
        }
        static void Main(string[] args)
        {
            string[] prvired=Console.ReadLine().Split(' ');
            int duzinaniza=int.Parse(prvired[0]);
            int duzinapodnizova=int.Parse(prvired[1]);  
            int krajnjavrednostkoeficijenta=int.Parse(prvired[2]);
            string[] unos=Console.ReadLine().Split(' ');
            int[] ceoniz = new int[duzinaniza];
            for (int i = 0; i < duzinaniza; i++)
            {
                ceoniz[i]=int.Parse(unos[i]);
            }
            int[]noviniz=new int[duzinapodnizova];
            for (int i = 0; i < duzinaniza - duzinapodnizova + 1; i++)
            {
                for (int j = 0; j < duzinapodnizova; j++)
                {
                    noviniz[j] = ceoniz[i+j];
                }
                Metoda(noviniz, krajnjavrednostkoeficijenta);
            }
        }
    }
}